{"openapi":"3.0.4","info":{"title":"Delete a Posting Module.","description":"Delete the given Posting Module.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/chartofaccounts/{scope}/{code}/postingmodules/{postingModuleCode}":{"delete":{"tags":["Chart Of Accounts"],"summary":"Delete a Posting Module.","description":"Delete the given Posting Module.","operationId":"DeletePostingModule","parameters":[{"name":"scope","in":"path","description":"The scope of the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Chart of Accounts. Together with the scope this uniquely identifies the Chart of Accounts.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"postingModuleCode","in":"path","description":"The code of the Posting Module to be deleted.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"responses":{"200":{"description":"The datetime that the Posting Module was deleted.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/DeletedEntityResponse"},"example":{"asAt":"2018-03-05T10:10:10.0000000+00:00"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}